package io.accumulatenetwork.sdk.generated.protocol;

/**
    GENERATED BY go run ./tools/cmd/gen-api. DO NOT EDIT.
**/

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonTypeName;
import io.accumulatenetwork.sdk.protocol.TransactionBody;
import io.accumulatenetwork.sdk.support.Marshaller;
// UnionType: TransactionType
// UnionValue: LockAccount

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonTypeName("LockAccount")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class LockAccount implements TransactionBody {
	public final TransactionType type = TransactionType.LOCK_ACCOUNT;
	private long height;

    //
	public long getHeight() {
	    return height;
	}
	public void setHeight(final long value) {
	    this.height = value;
	}

	public LockAccount height(final long value) {
	    setHeight(value);
	    return this;
	}
    public byte[] marshalBinary() {
        final var marshaller = new Marshaller();
        marshaller.writeValue(1, type);
        if (!(this.height == 0)) {
            marshaller.writeUint(2, this.height);
        }
        return marshaller.array();
    }
}
